Liferay.Loader.define('liferay!batch-planner-web$node-fetch@1.7.3/lib/response', ['module', 'exports', 'require', 'liferay!batch-planner-web$http', './headers', './body'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    /**
     * response.js
     *
     * Response class provides content decoding
     */

    var http = require('liferay!batch-planner-web$http');
    var Headers = require('./headers');
    var Body = require('./body');

    module.exports = Response;

    /**
     * Response class
     *
     * @param   Stream  body  Readable stream
     * @param   Object  opts  Response options
     * @return  Void
     */
    function Response(body, opts) {

      opts = opts || {};

      this.url = opts.url;
      this.status = opts.status || 200;
      this.statusText = opts.statusText || http.STATUS_CODES[this.status];
      this.headers = new Headers(opts.headers);
      this.ok = this.status >= 200 && this.status < 300;

      Body.call(this, body, opts);
    }

    Response.prototype = Object.create(Body.prototype);

    /**
     * Clone this response
     *
     * @return  Response
     */
    Response.prototype.clone = function () {
      return new Response(this._clone(this), {
        url: this.url,
        status: this.status,
        statusText: this.statusText,
        headers: this.headers,
        ok: this.ok
      });
    };
  }
});
//# sourceMappingURL=response.js.map