"use strict";

Liferay.Loader.define("segments-web$react-dnd-test-utils@11.1.1/dist/cjs/utils", ['module', 'exports', 'require', 'liferay!frontend-js-react-web$react', 'segments-web$react-dnd-test-backend', 'liferay!frontend-js-react-web$react-dnd', 'liferay!frontend-js-react-web$react-dom/test-utils'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.wrapInTestContext = wrapInTestContext;
    exports.getBackendFromInstance = getBackendFromInstance;
    exports.simulateDragDropSequence = simulateDragDropSequence;
    exports.simulateHoverSequence = simulateHoverSequence;

    var React = _interopRequireWildcard(require("liferay!frontend-js-react-web$react"));

    var _reactDndTestBackend = require("segments-web$react-dnd-test-backend");

    var _reactDnd = require("liferay!frontend-js-react-web$react-dnd");

    var _testUtils = require("liferay!frontend-js-react-web$react-dom/test-utils");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    /* eslint-disable @typescript-eslint/no-unused-vars */

    /**
     * Wrap a DnD component or test case in a DragDropContext
     *
     * @param DecoratedComponent The component to decorate
     */
    function wrapInTestContext(DecoratedComponent) {
      var forwardedRefFunc = function forwardedRefFunc(props, ref) {
        var dragDropManager = React.useRef(undefined);
        var decoratedComponentRef = React.useRef(undefined);
        React.useImperativeHandle(ref, function () {
          return {
            getManager: function getManager() {
              return dragDropManager.current;
            },
            getDecoratedComponent: function getDecoratedComponent() {
              return decoratedComponentRef.current;
            }
          };
        });
        return React.createElement(_reactDnd.DndProvider, {
          backend: _reactDndTestBackend.TestBackend
        }, React.createElement(_reactDnd.DndContext.Consumer, null, function (ctx) {
          dragDropManager.current = ctx.dragDropManager;
          return null;
        }), React.createElement(DecoratedComponent, Object.assign({
          ref: decoratedComponentRef
        }, props)));
      };

      forwardedRefFunc.displayName = 'TestContextWrapper';
      return React.forwardRef(forwardedRefFunc);
    }
    /**
     * Extracts a Backend instance from a TestContext component, such as
     * one emitted from `wrapinTestContext`
     *
     * @param instance The instance to extract the backend fram
     * @deprecated - This is no longer useful since ContextComponent was removed. This will be removed in a major version cut.
     */

    function getBackendFromInstance(_instance) {
      return (0, _reactDndTestBackend.getInstance)();
    }

    function simulateDragDropSequence(source, target, backend) {
      (0, _testUtils.act)(function () {
        backend.simulateBeginDrag([source.getHandlerId()]);
        backend.simulateHover([target.getHandlerId()]);
        backend.simulateDrop();
        backend.simulateEndDrag();
      });
    }

    function simulateHoverSequence(source, target, backend) {
      (0, _testUtils.act)(function () {
        backend.simulateBeginDrag([source.getHandlerId()]);
        backend.simulateHover([target.getHandlerId()]);
        backend.simulateEndDrag();
      });
    }
  }
});
//# sourceMappingURL=utils.js.map